[coreboot-gerrit] Patch set updated for coreboot: src/: give scripts a .sh extension for easy identification

Martin Roth (martinroth@google.com) gerrit at coreboot.org
Tue Jan 26 20:28:04 CET 2016


Martin Roth (martinroth at google.com) just uploaded a new patch set to gerrit, which you can find at https://review.coreboot.org/13432

-gerrit

commit d685b8dfc07d4a4794455879f32aae6c30dc1a4b
Author: Martin Roth <martinroth at google.com>
Date:   Mon Jan 25 15:02:32 2016 -0700

    src/: give scripts a .sh extension for easy identification
    
    Just rename the two scripts that are in the src/ tree to give them
    a .sh extension.  Since we generally expect files in the src directory
    to be source files, this allows to identify these as scripts easily.
    
    Change-Id: I0ab20a083880370164488d37a752ba2d5a192fdc
    Signed-off-by: Martin Roth <martinroth at google.com>
---
 src/mainboard/via/epia-m700/get_dsdt         | 39 ----------------
 src/mainboard/via/epia-m700/get_dsdt.sh      | 39 ++++++++++++++++
 src/vendorcode/google/chromeos/build-snow    | 69 ----------------------------
 src/vendorcode/google/chromeos/build-snow.sh | 69 ++++++++++++++++++++++++++++
 4 files changed, 108 insertions(+), 108 deletions(-)

diff --git a/src/mainboard/via/epia-m700/get_dsdt b/src/mainboard/via/epia-m700/get_dsdt
deleted file mode 100755
index 3a49006..0000000
--- a/src/mainboard/via/epia-m700/get_dsdt
+++ /dev/null
@@ -1,39 +0,0 @@
-#!/bin/bash
-##
-## This file is part of the coreboot project.
-##
-## Copyright (C) 2009 One Laptop per Child, Association, Inc.
-##
-## This program is free software; you can redistribute it and/or modify
-## it under the terms of the GNU General Public License as published by
-## the Free Software Foundation; either version 2 of the License, or
-## (at your option) any later version.
-##
-## This program is distributed in the hope that it will be useful,
-## but WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-## GNU General Public License for more details.
-##
-
-# Simple script to dump the factory ACPI DSDT and convert it to C.
-# Must be run as root on some systems, and always run on the target machine.
-
-if [ ! iasl ]; then
-	echo "Intel ASL Compiler required to recompile DSDT table."
-fi
-
-if [ ! -f /proc/acpi/dsdt ]; then
-	echo "Cannot find DSDT table, check that your kernel supports and uses ACPI."
-fi
-
-cat /proc/acpi/dsdt > dsdt
-if [ ! -f dsdt ]; then
-	echo "Failed copying DSDT, please check your permissions."
-fi
-
-iasl -d -vr -vs dsdt
-iasl -tc -vr -vs dsdt.dsl
-mv dsdt.hex dsdt.c
-echo "Done, cleaning up."
-rm -f dsdt dsdt.dsl dsdt.aml dsdt.hex
-exit
diff --git a/src/mainboard/via/epia-m700/get_dsdt.sh b/src/mainboard/via/epia-m700/get_dsdt.sh
new file mode 100755
index 0000000..3a49006
--- /dev/null
+++ b/src/mainboard/via/epia-m700/get_dsdt.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+##
+## This file is part of the coreboot project.
+##
+## Copyright (C) 2009 One Laptop per Child, Association, Inc.
+##
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+
+# Simple script to dump the factory ACPI DSDT and convert it to C.
+# Must be run as root on some systems, and always run on the target machine.
+
+if [ ! iasl ]; then
+	echo "Intel ASL Compiler required to recompile DSDT table."
+fi
+
+if [ ! -f /proc/acpi/dsdt ]; then
+	echo "Cannot find DSDT table, check that your kernel supports and uses ACPI."
+fi
+
+cat /proc/acpi/dsdt > dsdt
+if [ ! -f dsdt ]; then
+	echo "Failed copying DSDT, please check your permissions."
+fi
+
+iasl -d -vr -vs dsdt
+iasl -tc -vr -vs dsdt.dsl
+mv dsdt.hex dsdt.c
+echo "Done, cleaning up."
+rm -f dsdt dsdt.dsl dsdt.aml dsdt.hex
+exit
diff --git a/src/vendorcode/google/chromeos/build-snow b/src/vendorcode/google/chromeos/build-snow
deleted file mode 100755
index 5767418..0000000
--- a/src/vendorcode/google/chromeos/build-snow
+++ /dev/null
@@ -1,69 +0,0 @@
-#!/bin/sh
-
-SCRIPT="$0"
-SCRIPT_DIR="$(dirname "$(readlink -f "$0")")"
-
-OUTPUT="build/coreboot.rom"
-TMP_DIFF="$SCRIPT_DIR/.image-diff.bin"
-FLASHROM="/usr/local/sbin/flashrom"
-
-BL1_NAME="E5250.nbl1.bin"
-BL1_PATH="3rdparty/blobs/cpu/samsung/exynos5250/"
-BL1_URL="http://commondatastorage.googleapis.com/chromeos-localmirror/distfiles/exynos-pre-boot-0.0.2-r8.tbz2"
-
-die() {
-  echo "$*" >&2
-  exit 1
-}
-
-create_diff_192k() {
-  local image_file="$1"
-  local diff_file="$2"
-  cp -f "$image_file" "$diff_file"
-  dd if=/dev/zero of=$diff_file bs=1 count=$((192*1024)) conv=notrunc
-}
-
-fast_flash_image() {
-  local image_file="$1"
-  local diff_file="$2"
-  dut-control spi2_buf_en:on spi2_buf_on_flex_en:on spi2_vref:pp1800
-  sudo ${FLASHROM} -p ft2232_spi:type=servo-v2,port=a -w "$image_file" -V \
-    --noverify --ignore-fmap --diff "$diff_file"
-  dut-control spi2_buf_en:off spi2_buf_on_flex_en:off spi2_vref:off
-}
-
-get_bl1() {
-  wget "${BL1_URL}" -O /tmp/bl1.tbz2
-  tar jxvf /tmp/bl1.tbz2
-  mkdir -p "${BL1_PATH}"
-  mv "exynos-pre-boot/firmware/${BL1_NAME}" "${BL1_PATH}"
-  rm -rf exynos-pre-boot
-  if [ ! -e "${BL1_PATH}/${BL1_NAME}" ]; then
-    echo "Error getting BL1"
-    exit 1
-  fi
-}
-
-is_servod_ready() {
-  ps -C servod >/dev/null 2>&1
-}
-
-main() {
-  if [ ! -e "$bl1" ]; then
-    get_bl1
-  fi
-
-  make
-  create_diff_192k "$OUTPUT" "$TMP_DIFF"
-  echo "OK: Generated image (with BL1) in $OUTPUT"
-  if is_servod_ready; then
-    echo "servod detected - flashing into device."
-    fast_flash_image "$OUTPUT" "$TMP_DIFF"
-    echo "OK: Generated and flashed 128k of image into device via servo."
-  else
-    echo "(servod is not running, flashing into device is skipped)"
-  fi
-}
-
-set -e
-main "$@"
diff --git a/src/vendorcode/google/chromeos/build-snow.sh b/src/vendorcode/google/chromeos/build-snow.sh
new file mode 100755
index 0000000..5767418
--- /dev/null
+++ b/src/vendorcode/google/chromeos/build-snow.sh
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+SCRIPT="$0"
+SCRIPT_DIR="$(dirname "$(readlink -f "$0")")"
+
+OUTPUT="build/coreboot.rom"
+TMP_DIFF="$SCRIPT_DIR/.image-diff.bin"
+FLASHROM="/usr/local/sbin/flashrom"
+
+BL1_NAME="E5250.nbl1.bin"
+BL1_PATH="3rdparty/blobs/cpu/samsung/exynos5250/"
+BL1_URL="http://commondatastorage.googleapis.com/chromeos-localmirror/distfiles/exynos-pre-boot-0.0.2-r8.tbz2"
+
+die() {
+  echo "$*" >&2
+  exit 1
+}
+
+create_diff_192k() {
+  local image_file="$1"
+  local diff_file="$2"
+  cp -f "$image_file" "$diff_file"
+  dd if=/dev/zero of=$diff_file bs=1 count=$((192*1024)) conv=notrunc
+}
+
+fast_flash_image() {
+  local image_file="$1"
+  local diff_file="$2"
+  dut-control spi2_buf_en:on spi2_buf_on_flex_en:on spi2_vref:pp1800
+  sudo ${FLASHROM} -p ft2232_spi:type=servo-v2,port=a -w "$image_file" -V \
+    --noverify --ignore-fmap --diff "$diff_file"
+  dut-control spi2_buf_en:off spi2_buf_on_flex_en:off spi2_vref:off
+}
+
+get_bl1() {
+  wget "${BL1_URL}" -O /tmp/bl1.tbz2
+  tar jxvf /tmp/bl1.tbz2
+  mkdir -p "${BL1_PATH}"
+  mv "exynos-pre-boot/firmware/${BL1_NAME}" "${BL1_PATH}"
+  rm -rf exynos-pre-boot
+  if [ ! -e "${BL1_PATH}/${BL1_NAME}" ]; then
+    echo "Error getting BL1"
+    exit 1
+  fi
+}
+
+is_servod_ready() {
+  ps -C servod >/dev/null 2>&1
+}
+
+main() {
+  if [ ! -e "$bl1" ]; then
+    get_bl1
+  fi
+
+  make
+  create_diff_192k "$OUTPUT" "$TMP_DIFF"
+  echo "OK: Generated image (with BL1) in $OUTPUT"
+  if is_servod_ready; then
+    echo "servod detected - flashing into device."
+    fast_flash_image "$OUTPUT" "$TMP_DIFF"
+    echo "OK: Generated and flashed 128k of image into device via servo."
+  else
+    echo "(servod is not running, flashing into device is skipped)"
+  fi
+}
+
+set -e
+main "$@"



More information about the coreboot-gerrit mailing list